'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
const tslib_1 = require('tslib');
require('module-alias/register');
const path_1 = tslib_1.__importDefault(require('path'));
const chalk_1 = tslib_1.__importDefault(require('chalk'));
const commander_1 = tslib_1.__importDefault(require('commander'));
const package_json_1 = tslib_1.__importDefault(require('../package'));
const worker_1 = tslib_1.__importDefault(require('./utils/worker'));
const standard_1 = tslib_1.__importDefault(require('./standard/index'));
const {program} = commander_1.default;
const ownDir = path_1.default.resolve(__dirname, process.env.NODE_ENV === 'development' ? '../' : '../../');
worker_1.default.setOwnDir(ownDir);
worker_1.default.setWorkDir(process.cwd());
/**
 * 版本信息
 */
program.version(package_json_1.default.version, '-v --version').description('Jgxl cli for efficient collaboration').action(() => {
    console.log(chalk_1.default.green('Welcome to Jgxl Cli!'));
});
/**
 * 生成配置文件
 */
program.command('standard').option('-v --vue', 'quick config vue standard').description('Initial standard config').action(standard_1.default);
program.on('--help', () => {
    console.log();
    console.log(`  Run ${ chalk_1.default.cyan('jgxl <command> --help') } for detailed usage of given command.`);
    console.log();
});
program.parse(process.argv);
if (!process.argv.slice(2).length) {
    program.outputHelp();
}
function logHelp() {
    console.log(`
  Commands:
  jgxl standard             Initial standard config`);
}